| Home | Libraries | People | FAQ | More

## Function template index

boost::histogram::axis::traits::index — Returns axis index for value.

## Synopsis

    // In header: <boost/histogram/axis/traits.hpp>

    template<typename Axis, typename U>
      axis::index_type index(const Axis & axis, const U & value);

## Description

Throws std::invalid_argument if the value argument is not implicitly convertible.

Parameters:

`axis` | any axis instance
`value` | argument to be passed to `index` method